@import "../../../../styles/theme/colors";
@import "../../../../styles/theme/font";
@import "../../../../styles/theme/variables";
@import "../../../../styles/utils/responsive";

.user-profile-toolbar {
    display: flex;
    align-items: center;
    margin: 0;
    margin-left: 2rem;
    cursor: pointer;

    img {
        width: 4rem;
        height: auto;
        border-radius: 50%;
    }
}

.profile-head {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 0 1rem 0 1rem;

    img {
        width: 10rem;
        border-radius: 50%;

        @include respond(phone) {
            display: none;
        }
    }

    &__user-name {
        font-weight: $fw-lighter;
        color: $dark-grey;
        font-weight: 400;
        font-size: 2rem;
        margin: 2rem 0 0;

        @include respond(phone) {
            font-size: 1.8rem;
            margin: 0;
        }
    }

    &__email {
        font-weight: $fw-lighter;
        color: $dark-grey;
        font-weight: 400;
        font-size: 1.2rem;
        margin-top: 1rem;

        @include respond(phone) {
            font-size: 1.5rem;
            margin: 0;
        }
    }
}

.user-menu-title {
    padding: 16px 48px 0 16px;
    margin-bottom: 4px;

    &__name {
        margin-bottom: 4px;
        font-weight: $fw-lighter;
        font-size: $fs-large;
        color: $dark-grey;
    }

    &__link {
        color: $blue;
        font-weight: $fw-lighter;
        font-size: $fs-small;
        text-decoration: none;
    }
}

.user-menu-icon {
    color: $light-grey;
    margin-right: 16px;
    opacity: 0.8;
    margin-right: 2.5rem;

    @include respond(phone) {
        font-size: 3rem;
        margin-right: 2rem;
    }
}

.sign-button-wrapper {
    text-align: center;
    padding: 8px 0 16px 0;
    width: 100%;
}

.sign-button {
    border: 1px solid;
    color: $blue;
    width: 80%;
}

.user-menu {
    &__item-title {
        display: flex;
        align-items: center;
        color: $light-grey;

        @include respond(phone) {
            font-size: 1.6rem;
        }
        &:hover {
            color: $dark-grey;
            background-color: $blue-white;

            & .user-menu-icon {
                color: #536dfe;
            }
        }
    }
}
